###########################################################################
#
# win32.mak -- Windows Makefile for runtime-src\src\colservr
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


GSDL_DIR = $(GSDLHOME)


# Libraries compiled
LIBRARIES = gsdlcolservr.lib

# Library: gsdlcolservr.lib
# Do NOT add the "recpt" directory here: the colserver should be independent of the receptionist!
LIBCOLSERVR_CPPFLAGS = \
	-I"$(GSDL_DIR)\common-src\src\lib"

LIBCOLSERVR_OBJECTS = \
	browsefilter.obj \
	collectserver.obj \
	collectset.obj \
	colservrconfig.obj \
	comtypes.obj \
	filter.obj \
	lucenequeryfilter.obj \
	lucenesearch.obj \
	lucenesource.obj \
	maptools.obj \
	phrasesearch.obj \
	querycache.obj \
	queryfilter.obj \
	queryinfo.obj \
	search.obj \
	source.obj \
	sqlbrowsefilter.obj


# Option: Lucene support
!IF $(ENABLE_LUCENE)
LIBCOLSERVR_CPPFLAGS = -DENABLE_LUCENE $(LIBCOLSERVR_CPPFLAGS) -I"$(GSDL_DIR)\common-src\packages\windows\expat\expat"
LIBCOLSERVR_OBJECTS = $(LIBCOLSERVR_OBJECTS) expat_document.obj expat_resultset.obj
!ENDIF

# Option: SQLite support
!IF $(USE_SQLITE)
LIBCOLSERVR_CPPFLAGS = -DUSE_SQLITE $(LIBCOLSERVR_CPPFLAGS) -I"$(GSDL_DIR)\common-src\packages\sqlite\include"
!ENDIF


COMPILE = cl -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBCOLSERVR_CPPFLAGS)
LINK = cl -nologo -Fe"$@"

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


gsdlcolservr.lib: $(LIBCOLSERVR_OBJECTS)
	if EXIST gsdlcolservr.lib del gsdlcolservr.lib
	lib -nologo /out:gsdlcolservr.lib $(LIBCOLSERVR_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

distclean:
	del *.obj $(LIBRARIES) win32.mak

clean:
	del *.obj $(LIBRARIES)
